all : test clean

test : test.o lecture.o melodie.o motifs.o
	gcc -std=c99 -L/opt/local/lib test.o lecture.o melodie.o motifs.o -o test -lSDL2 -lSDL2_mixer

test.o : test.c
	gcc -std=c99 -I/opt/local/include -Wall -c test.c

lecture.o : ../lecture/lecture.c ../lecture/lecture.h
	gcc -std=c99 -I/opt/local/include -Wall -c ../lecture/lecture.c

melodie.o : ../melodie/melodie.c ../melodie/melodie.h
	gcc -std=c99 -Wall -c ../melodie/melodie.c

motifs.o : ../motifs/motifs.c ../motifs/motifs.h
	gcc -std=c99 -Wall -c ../motifs/motifs.c

clean :
	rm -f *.o
